Schedules
Creates a schedule
Creates a new schedule from provided data
POST
/
v1
/
schedules
Creates a schedule
curl --request POST \
--url https://api.rootly.com/v1/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedules",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
],
"sync_linear_enabled": true,
"include_shadows_in_slack_notifications": true,
"shift_start_notifications_enabled": true,
"shift_update_notifications_enabled": true,
"shift_report_enabled": true,
"shift_report_time_of_day": "<string>",
"shift_report_time_zone": "<string>"
}
}
}
'import requests
url = "https://api.rootly.com/v1/schedules"
payload = { "data": {
"type": "schedules",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"description": "<string>",
"all_time_coverage": True,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": ["<string>"],
"sync_linear_enabled": True,
"include_shadows_in_slack_notifications": True,
"shift_start_notifications_enabled": True,
"shift_update_notifications_enabled": True,
"shift_report_enabled": True,
"shift_report_time_of_day": "<string>",
"shift_report_time_zone": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'schedules',
attributes: {
name: '<string>',
owner_user_id: 123,
description: '<string>',
all_time_coverage: true,
slack_user_group: {id: '<string>', name: '<string>'},
slack_channel: {id: '<string>', name: '<string>'},
owner_group_ids: ['<string>'],
sync_linear_enabled: true,
include_shadows_in_slack_notifications: true,
shift_start_notifications_enabled: true,
shift_update_notifications_enabled: true,
shift_report_enabled: true,
shift_report_time_of_day: '<string>',
shift_report_time_zone: '<string>'
}
}
})
};
fetch('https://api.rootly.com/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "schedules",
"attributes": {
"name": "<string>",
"owner_user_id": 123,
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"all_time_coverage": true,
"slack_user_group": {
"id": "<string>",
"name": "<string>"
},
"slack_channel": {
"id": "<string>",
"name": "<string>"
},
"owner_group_ids": [
"<string>"
],
"sync_linear_enabled": true,
"include_shadows_in_slack_notifications": true,
"shift_start_notifications_enabled": true,
"shift_update_notifications_enabled": true,
"shift_report_enabled": true,
"shift_report_time_of_day": "<string>",
"shift_report_time_zone": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates a schedule
